Maintained by: NLnet Labs

[Unbound-users] EDNS client subnet tests

Eduardo Schoedler
Thu Apr 30 01:45:26 CEST 2015


Hi Yuri,

Thanks.

I'm trying to compile the edns-subnet from svn branch, I'm getting errors:

configure: Stripping extension flags...
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/example.conf
config.status: creating doc/libunbound.3
config.status: creating doc/unbound.8
config.status: creating doc/unbound-anchor.8
config.status: creating doc/unbound-checkconf.8
config.status: creating doc/unbound.conf.5
config.status: creating doc/unbound-control.8
config.status: creating doc/unbound-host.1
config.status: error: cannot find input file:
`smallapp/unbound-control-setup.sh.in'

Copying file from trunk gives me other error:

configure: Stripping extension flags...
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/example.conf
config.status: creating doc/libunbound.3
config.status: creating doc/unbound.8
config.status: creating doc/unbound-anchor.8
config.status: creating doc/unbound-checkconf.8
config.status: creating doc/unbound.conf.5
config.status: creating doc/unbound-control.8
config.status: creating doc/unbound-host.1
config.status: creating smallapp/unbound-control-setup.sh
config.status: error: cannot find input file: `dnstap/dnstap_config.h.in'

This time configure runs ok, but make not:

# make
make: *** No rule to make target `sldns/pkthdr.h', needed by `dns.lo'.  Stop.

What I'm doing wrong?

Thanks.


2015-04-29 17:06 GMT-03:00 Yuri Schaeffer <yuri at nlnetlabs.nl>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
>> How can I know if I have edns-client-subnet support enabled in my
>> dns recursor?
>
> You haven't. Unbound does not have official support for it. There is
> an experimental branch in our svn repository though. It is not quite
> stable yet and if you had used that you would not be asking this
> question I suppose.
>
> In case you pulled that branch you should have passed --enable-subnet
> to the configure script (check your config.log). Your unbound.conf
> file should include:
>         module-config: "subnetcache validator iterator"
>
> //Yuri
>
>> I'm using Version 1.5.1 linked libs: libevent 2.0.21-stable (it
>> uses epoll), OpenSSL 1.0.1f 6 Jan 2014 linked modules: dns64
>> validator iterator
>>
>> Thanks in advance.
>>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2
>
> iEYEARECAAYFAlVBOdoACgkQI3PTR4mhavjePgCgvoCFTO8DM7g/Dn6clbU3qOi3
> t7kAoNMviGdc19ZM2Vyi/zoRo4EU00O7
> =vFgM
> -----END PGP SIGNATURE-----
> _______________________________________________
> Unbound-users mailing list
> Unbound-users at unbound.net
> http://unbound.nlnetlabs.nl/mailman/listinfo/unbound-users



-- 
Eduardo Schoedler